# Basic Responsive Navigation

Nearly every website needs a responsive navigation, but they can be confusing to layout. It’s not uncommon for developers to create two separate navigations: one for mobile and one for desktop. But there’s a better way! In this video, I'll show you how to create a fully responsive navigation menu with HTML, CSS, and Vanilla JavaScript. We’ll add aria attributes to achieve a basic accessible navigation.


🔗  Key Links 🔗
- YouTube Video: https://youtu.be/63sxOYm9GwY
- Live Code: https://codinginpublic.dev/projects/responsive-navigation/

---------------------------------------

📹  Related Videos 📹
- Intersection Observer playlist: https://www.youtube.com/playlist?list=PLoqZcxvpWzze3Hkult9jLfCvZlzCYLb8G
- Understanding Clamp(): https://youtu.be/Moely7aPYGE

---------------------------------------

🧰 My Tools 🧰
- VSCode Font/Theme: https://www.youtube.com/watch?v=5uETTXxVj8s
- VSCode Extensions: https://www.youtube.com/watch?v=0ABuzt8X5SA

---------------------------------------

🌐 Connect With Me 🌐 
- Website: https://codinginpublic.dev
- Blog: https://chrispennington.blog
- Twitter: https://twitter.com/cpenned
